Page MenuHomePhabricator

Update block logs with namespace block details
Closed, ResolvedPublic2 Story Points

Description

Currently, there are 3 messages: sitewide, partial with restrictions, and non-editing partial blocks. This will add namespace blocks to the message type.

We should add a new message type to cover the namespace block log messages. This should be similar to what was done for PageRestrictions.

Pay close attention to the code that selects which message to show.

Related: T197108

Details

Related Gerrit Patches:

Event Timeline

dbarratt renamed this task from Update block logs with partial block details to Update block logs with namespace block details.Sep 20 2018, 5:51 PM
dbarratt created this task.
aezell updated the task description. (Show Details)Sep 21 2018, 6:19 PM
aezell set the point value for this task to 2.
dbarratt claimed this task.Jan 3 2019, 6:48 PM
dbarratt moved this task from Ready to In progress on the Anti-Harassment (Alef — א) board.
dbarratt removed dbarratt as the assignee of this task.Jan 7 2019, 2:24 PM
dbarratt claimed this task.
dbarratt removed dbarratt as the assignee of this task.
dbarratt moved this task from In progress to Ready on the Anti-Harassment (Alef — א) board.
dbarratt claimed this task.Jan 9 2019, 9:16 PM
dbarratt moved this task from Ready to In progress on the Anti-Harassment (Alef — א) board.
dbarratt updated the task description. (Show Details)Jan 10 2019, 2:08 AM

Change 483333 had a related patch set uploaded (by Dbarratt; owner: Dbarratt):
[mediawiki/core@master] Update block logs with namespace block details

https://gerrit.wikimedia.org/r/483333

dbarratt reassigned this task from dbarratt to dmaza.Jan 17 2019, 4:19 PM

Change 486429 had a related patch set uploaded (by Dmaza; owner: Dmaza):
[mediawiki/core@master] Add namespace restrictions to block's log messages

https://gerrit.wikimedia.org/r/486429

Change 486429 merged by jenkins-bot:
[mediawiki/core@master] Add namespace restrictions to block's log messages

https://gerrit.wikimedia.org/r/486429

dmaza closed this task as Resolved.Feb 1 2019, 7:23 PM
dmaza moved this task from Review to Done on the Anti-Harassment (Bet — ב) board.